Subject: Re: SCA?

From: [email-masked] (Jason Guptill )
Date: Tue, 2 Apr 1996 08:54:19 -0800

You wrote: 
>
>Hi troops
>
>Just goes to show you who's been out of the loop for the past eight 
years,
>what is the "SCA" that I see references to?  Eh, sorry, to which I see
>references.  Wouldn't want anyone to think that blacksmiths don't know 
no
>good English.

To answer your question. SCA stands for The Society for Creative 
Anchronism. Covers the historic period (generally speaking) from 800 AD 
to 1750 AD. Rennissance Period Groups cover 1750 AD thru 1850 AD 
(generally). Both groups try to perform and govern themselves in the 
styles of the period. The events can be a great deal of fun. 
Blacksmithing is very well received. Although I have noticed over the 
years that more and more of the home type blacksmithing stuff is 
showing up rather than the knives and swords being so big.